Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.layer.source
Interface LayerSource

    public interface LayerSource

Provides `Layer`s to a manager. `Layer`s are the base unit in a Table of Contents, which could be used to provide a human-readable visualization of the data available to add to a rendered visualization. A `LayerSource` could be capable of retrieving features from given feature stores using a given filter and creating the necessary feature layer. Other `LayerSource` implementations may connect to some other data source and produce graphics to be owned by the produced layers.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getDescription()` Description of this type of `LayerSource`.
`InternationalString` | `getDisplayName()` Display name used to communicate this `LayerSource` to end users.
`URI` | `getIcon()` Icon representing this type of LayerSource.
`Layer` | `getLayer(String name)` Gets the named `Layer`.
`List<Layer>` | `getLayers()` Returns a List of `Layer`s provided by this `LayerSource`.

Method Detail

### getIcon

    URI getIcon()

  Icon representing this type of LayerSource.

  Returns:
    URI to a icon (GIF or PNG) representing this layer source.

### getDisplayName

    InternationalString getDisplayName()

  Display name used to communicate this `LayerSource` to end users.

### getDescription

    InternationalString getDescription()

  Description of this type of `LayerSource`.

### getLayer

    Layer getLayer(String name)
                   throws IOException,
                          LayerException

  Gets the named `Layer`.

  Parameters:
    `name` - the id of the `Layer`.
  Throws:
    `IOException` - if there is an IO problem getting the named `Layer`
    `LayerException` - if there is any other problem getting the named `Layer`

### getLayers

    List<Layer> getLayers()
                          throws IOException,
                                 LayerException

  Returns a List of `Layer`s provided by this `LayerSource`. This List should not be a live List: modifying the returned List (if modifiable) should not modify this `LayerSource`'s `Layer`s.

  Returns:
    a List of `Layer`s
  Throws:
    `IOException` - if there is an IO problem getting the `Layer`s
    `LayerException` - if there is any other problem getting the named `Layer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.